# Localization

The text displayed in the Checkout page can be rendered in multiple languages.

It is possible to allow the customer to select a language on the page and to set a preferred language to be used by default.

It is also possible to only display a single language and remove the option for the cardholder to select a different language.

* `i18n` - The i18n field in the Create checkout API request is used to configure the localization settings.
* `default_language` - The default language is used for displaying the page. Any customer language choice would override this option.
* `fallback_language` - The fallback language is used when the `default_language` is invalid. Any customer language choice will override this option.
* `show_language_options` - Indicates whether a language selection option should be shown to the customer on the Checkout page or not.

## Supported languages <a href="#supported-languages" id="supported-languages"></a>

| Language   | Abbreviation |
| ---------- | ------------ |
| Arabic     | ar           |
| Danish     | da           |
| Dutch      | nl-be        |
| English    | en           |
| Estonian   | et           |
| Finnish    | fi           |
| French     | fr           |
| German     | de           |
| Greek      | el           |
| Hebrew     | he           |
| Icelandic  | is           |
| Italian    | it           |
| Latvian    | lv           |
| Lithuanian | lt           |
| Norwegian  | no           |
| Polish     | pl           |
| Portuguese | pt           |
| Russian    | ru           |
| Swedish    | sv           |
| Spanish    | es           |

## Language settings <a href="#language-settings" id="language-settings"></a>

Setting a language and not allowing the user to change the language:

```json
{
  ...
  "i18n":{
    "default_language": "en",
    "fallback_language": "en"
    "show_language_options": false,
  }
  ...
}
```

Setting a language and allowing the user to change the language:

```json
{
  ...
  "i18n":{
    "default_language": "en",
    "show_language_options": true,
  }
  ...
}
```

**As an example**, the French language with an option to change the language and fallback to English would be configured like this:

```json
{
  ...
  "i18n":{
    "default_language": "fr",
    "fallback_language":"en"
    "show_language_options": true,
  }
  ...
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/online-payments/checkout/localization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
